Update or rename configuration file
PATCH
/system/dbconf/{service}/{file}/
const url = 'https://example.com/api/v1/system/dbconf/example/example/';const options = { method: 'PATCH', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"name":"example","data":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/system/dbconf/example/example/ \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "name": "example", "data": { "additionalProperty": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”service
required
string
Name of the service to configure
file
required
string
Name of the configuration file
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
New file name
string
data
object
key
additional properties
string
Examplegenerated
{ "name": "example", "data": { "additionalProperty": "example" }}Responses
Section titled “ Responses ”File created/updated
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}